class Spawn
{
    public:

	void	SetFile( char *arg );
	bool	SetArgs( int argc, char **argv, bool append_dash, Error *e );
	void	SetLog( Log *alog );

	char	*GetFile();
	char	**GetArgs();
	Log	*GetLog();

	bool	Init( int argc, char **argv, Error *e );
	bool	Init( int argc, char **argv, bool append_dash,
		    Log *alog, Error *e );

	bool	Exec( int ifd, Error *e );
	bool	Wait( Error *e );

    private:

#define MAXARGS 32
	char *file;
	char *args[ MAXARGS + 2 ];
	Log *log;			// log file object
};
